Skip to main content
POST
/
api
/
v1
/
contract
/
fetch
fetch any contract data
curl --request POST \
  --url https://api.example.com/api/v1/contract/fetch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "networkUid": "arbitrum",
  "address": "<string>",
  "abi": [
    {}
  ],
  "source": "<string>"
}
'
{
  "network": "<string>",
  "contractAddress": "<string>",
  "implementation": "<string>",
  "abi": [
    {}
  ],
  "owner": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
networkUid
enum<string>
required

Network uid

Available options:
arbitrum,
bsc,
bsc_testnet,
ethereum,
linea,
optimism,
base,
base_sepolia,
gnosis,
fantom,
polygon,
polygon_amoy,
blast,
zksync,
scroll,
avalanche,
avalanche_fuji,
telos,
sepolia,
holesky,
ethereum_sepolia,
ethereum_holesky,
tron,
zeta,
somnia,
adi,
anvil,
icp,
vechain,
stellar,
bitcoin,
solana
address
string
required

Contract address

Pattern: \S
abi
object[]

Contract ABI

source
string

Source of the contract data

Response

200 - application/json

OK

network
string

Unique network identifier of the blockchain

contractAddress
string

Address of the contract

implementation
string

Address of the contract implementation

abi
object[]

Abi of the contract in JSON format

owner
boolean

Ownership of abi information